## nagios-snmp-plugins 1.0.2-7

=== Makefile ===
build:

install:
	(cd nagios_plugins; for i in *.pl ; do sed -e 's#/usr/local/nagios/libexec#/usr/lib/nagios/plugins#g' $$i > $${DESTDIR}/usr/lib/nagios/plugins/$$i;done;cd ..)
	chmod 755 ${DESTDIR}/usr/lib/nagios/plugins/*.pl
	cp debian/more_snmp.cfg ${DESTDIR}/etc/nagios-plugins/config/
clean:
	rm -f *-stamp

=== debian/changelog ===
nagios-snmp-plugins (1.0.2-7) stable; urgency=low

  * ...and again...

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 15:50:01 +0200

nagios-snmp-plugins (1.0.2-6) stable; urgency=low

  * Changed Template for more_snmp again.

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 15:31:04 +0200

nagios-snmp-plugins (1.0.2-5) stable; urgency=low

  * Changed Template for more_snmp.

 -- Hardy Kestin <hardy@noris.net>  Thu, 21 Jun 2007 15:30:40 +0200

nagios-snmp-plugins (1.0.2-4) stable; urgency=low

  * Added ARG4 to check_snmp_load in more_snmp.cfg.

 -- Hardy Kestin <hardy@noris.net>  Wed, 29 Nov 2006 13:08:30 +0100

nagios-snmp-plugins (1.0.2-3) stable; urgency=low

  * Changed defauls for check_snmp_cisco in more_snmp.cfg.

 -- Hardy Kestin <hardy@noris.net>  Fri, 20 Oct 2006 15:08:12 +0200

nagios-snmp-plugins (1.0.2-2) stable; urgency=low

  * Fixed Permissions.

 -- Hardy Kestin <hardy@noris.net>  Fri, 20 Oct 2006 14:43:07 +0200

nagios-snmp-plugins (1.0.2-1) stable; urgency=low

  * New Upstream Release.
  * Added examples.
  * Changed Build-Deps.
  * Changed Dist.

 -- Hardy Kestin <hardy@noris.net>  Fri, 20 Oct 2006 13:23:45 +0200

nagios-snmp-plugins (1.0.1-1) unstable; urgency=low

  * New Upstream Release.
  * Completely changed Makefile.

 -- Hardy Kestin <hardy@noris.net>  Fri, 20 Oct 2006 09:06:19 +0200

nagios-snmp-plugins (0.1-4) stable; urgency=low

  * Fixed LibPath

 -- Hardy Kestin <hardy@noris.net>  Mon, 31 Oct 2005 14:49:26 +0100

nagios-snmp-plugins (0.1-3) stable; urgency=low

  * Fixed config-template.

 -- Hardy Kestin <hardy@noris.net>  Mon, 31 Oct 2005 14:33:11 +0100

nagios-snmp-plugins (0.1-2) stable; urgency=low

  * Fixed config-template.

 -- Hardy Kestin <hardy@noris.net>  Mon, 31 Oct 2005 14:29:27 +0100

nagios-snmp-plugins (0.1-1) stable; urgency=low

  * Initial Release.
  * Changed Dist.

 -- Hardy Kestin <hardy@noris.net>  Mon, 31 Oct 2005 14:29:18 +0100

=== debian/control ===
Source: nagios-snmp-plugins
Section: net
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: nagios-snmp-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl-modules, nagios-plugins, libnet-snmp-perl
Suggests: nagios-common
Description: SNMP related plugins for NetSaint and Nagios.
 Nagios is a replacement of the Netsaint project. It accept and uses the
 previous Netsaint modules transparently.
 .
 Nagios SNMP plugins is a set of Nagios plugins to check hosts/devices using snmp
 protocol.
 .
 Help files, examples and manual : http://www.manubulon.com/nagios/
 FAQ : http://www.manubulon.com/nagios/faq.html
 Mailling list, forum : https://sourceforge.net/projects/nagios-snmp/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/nagios-snmp-plugins.sgml > nagios-snmp-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nagios-snmp-plugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/nagios-snmp-plugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nagios-snmp-plugins 1.1.1

=== debian/changelog ===
nagios-snmp-plugins (1.1.1-12) unstable; urgency=medium

  * [24809b6] travis-ci: don't install build-deps manual
  * [07c8662] travis-ci: build package with dpkg-buildpackage
  * [82261f2] travis-ci: Initial support for uploading releases to github
  * [94da9a0] Merging upstream changes of github-release.sh
  * [76f4f9b] Updating copyright and author of debian/bin/github-release.sh
  * [9157b9d] Add n5k support to check_snmp_load via
    19_check_snmp_load_n5k patch
  * [f4871c4] Refreshing patches/01_update_pre_1.1.2
  * [4a57e8b] Refreshing patches/51_fix_privacy_doc
  * [e4c5a52] Adding 20_check_snmp_load_multiple_cpus
  * [434d3d0] Fixing pathes in 20_check_snmp_load_multiple_cpus
  * [a31b428] Fixing 20_check_snmp_load_multiple_cpus
  * [672a475] debian/control: reformating with warp-and-sort
  * [bcecc23] travis-ci: grab actual used upstream version
  * [a8f8669] Adding patchtes/21_check_snmp_load_abstract_snmp_version_check
  * [f4e3f51] Adding patches/22_remove_utils_pm
  * [8dd4f10] Adding patches/23_check_snmp_load_drop_debugging
  * [96dcc51] travis-ci: Adding required arguments for trusty
  * [6cbfcfa] travis-ci: automatically install dependencies
  * [c5e9ec0] check_snmp_int: Add patches/24_check_snmp_int_use_ifname
    (Closes: #812837)
  * [d8d6d1b] d/rules: Use dh_prep instead of 'dh_clean -k'

 -- Jan Wagner <waja@cyconet.org>  Wed, 27 Jan 2016 16:23:36 +0100

nagios-snmp-plugins (1.1.1-11) unstable; urgency=medium

  * [dd7632d] Create /etc/nagios-plugins/config/ (Closes: #767681)

 -- Jan Wagner <waja@cyconet.org>  Sun, 02 Nov 2014 20:45:10 +0100

nagios-snmp-plugins (1.1.1-10) unstable; urgency=medium

  * [5dbb905] Add support for monitoring-plugins
  * [f529116] Add 'libcrypt-des-perl, libcrypt-rijndael-perl' as recommends,
    needed for snmp v3
  * [ce65e19] Don't use symlinked license in debian/copyright
  * [20f7a79] Bump Standards-Version to 3.9.6, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Sun, 12 Oct 2014 22:23:51 +0200

nagios-snmp-plugins (1.1.1-9) unstable; urgency=low

  * [976e307] Update Vcs-headers
  * [950a63f] Use full binary path instead of $ macro in command definitions
  * [3acf202] check_snmp_storage: Add 64bit support
  * [73c21a0] Convert the package to source format 3.0 (quilt)
  * [6adaea0] Fix 15_check_snmp_storage_64bit
  * [074ed96] Add travis-ci config
  * [36857aa] travis-ci: Reorder and comment .travis.yml
  * [9ac5f8c] update git ignore regex
  * [f82ac54] travis-ci: Add lintian checks after build
  * [1ea9877] Add build-indep and build-arch target into debian/rules
  * [36735a8] Update to recent copyright format
  * [8a119de] Updating standards version to 3.9.5, no changes needed
  * [aaa7106] Set set -e in the body in body of the maintainers scripts
  * [d03e055] Extend the extended package description
  * [2fcaf9a] Fix potential privacy breach of HTML documentation
  * [1ae942a] Add upstream changelog into package
  * [ab802e4] Merge latest CVS patches into one
  * [34070bf] Add missing latest CVS patches
  * [76a78cb] Refresh patchtes
  * [6fa6c28] Update patch description 10_fix_net_snmp_version
  * [0193501] Rename patch 11_fix_privacy_doc into 51_fix_privacy_doc
  * [c7fb3c5] Update patch descriptions
  * [4623399] Add 16_perfdata to enable perfdate
  * [93834c1] Add 17_protocol_fam to support protocol and IP familiy
  * [8ca89ae] Add NEWS file for changed behavior of specifying port
  * [f05ed7f] Add 18_check_snmp_process_tmp_file
  * [e3e176d] travis-ci: Install recent lintian version

 -- Jan Wagner <waja@cyconet.org>  Wed, 05 Mar 2014 22:34:26 +0100

nagios-snmp-plugins (1.1.1-8) unstable; urgency=low

  * Add 10_fix_net_snmp_version.dpatch
    - Fixing Net::SNMP version (Closes: #699413)

 -- Jan Wagner <waja@cyconet.org>  Thu, 31 Jan 2013 08:56:00 +0100

nagios-snmp-plugins (1.1.1-7) unstable; urgency=low

  * Add "Copyright" to all copyrights in debian/copyright
  * Updating standards version to 3.8.4
    - Add README.source
  * Add 1.0 to debian/source/format
  * Add trailing trunk/ at Vcs-Svn-field

 -- Jan Wagner <waja@cyconet.org>  Wed, 10 Mar 2010 10:18:35 +0100

nagios-snmp-plugins (1.1.1-6) unstable; urgency=low

  * instead of suggest depend on nagios-plugins-basic to get command
    definitions installed into /etc/nagios-plugins/config and registered via
    ucf, since /usr/share/nagios-plugins/dpkg/functions is used in postinst
    (Closes: #513872)

 -- Jan Wagner <waja@cyconet.org>  Sun, 01 Feb 2009 23:49:10 +0100

nagios-snmp-plugins (1.1.1-5) unstable; urgency=low

  * implement machine-interpretable copyright file

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Jul 2008 13:17:39 +0200

nagios-snmp-plugins (1.1.1-4) unstable; urgency=low

  * adjust copyright, it's GPL2 (and not later)
  * update some scripts to newest available version from website
  * rename 02_disable_epn.dpatch to 50_disable_epn.dpatch to be the last one
    (Closes: #484462)
  * Updating standards version to 3.8.0, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Mon, 07 Jul 2008 22:08:37 +0200

nagios-snmp-plugins (1.1.1-3) unstable; urgency=low

  * change unit to bit/s in interface check
  * add option for scale of bandwidth to interface check
  * added Vcs- fields, moved Homepage into source header's field
  * bump standards version to 3.7.3 (no changes needed)
  * add 02_disable_epn.dpatch to disable epn, since the plugins don't
    work with it
  * bump copyright of packaging to 2008

 -- Jan Wagner <waja@cyconet.org>  Mon, 14 Apr 2008 23:20:52 +0200

nagios-snmp-plugins (1.1.1-2) unstable; urgency=low

  * make use of dpatch infrastructure
  * include a fix for check_snmp_env.pl from cvs

 -- Jan Wagner <waja@cyconet.org>  Fri,  6 Jul 2007 22:22:02 +0200

nagios-snmp-plugins (1.1.1-1) unstable; urgency=low

  * new upstream
  * include (new) html docs into package

 -- Jan Wagner <waja@cyconet.org>  Wed, 25 Apr 2007 22:00:50 +0200

nagios-snmp-plugins (1.1-1) unstable; urgency=low



=== debian/control ===
Source: nagios-snmp-plugins
Section: net
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 5)
Homepage: http://www.manubulon.com/nagios/index_snmp.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-nagios-snmp-plugins.git
Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-snmp-plugins
Standards-Version: 3.9.6

Package: nagios-snmp-plugins
Architecture: all
Depends: libnet-snmp-perl,
         monitoring-plugins-common | nagios-plugins-basic (>= 1.4.5-2),
         perl-base (>= 5.8.4-8),
         ucf,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libcrypt-des-perl, libcrypt-rijndael-perl
Description: SNMP Plugins for nagios
 A set of Nagios plugins to check hosts/devices using snmp protocol
 .
 The general idea of these scripts is to check as many things as possible with
 snmp (how do you install NRPE on Cisco or AS/400 ?) : disks, memory, load,
 interface, running procsses, etc...
 .
 The other idea is to select disks, interfaces, process using regular
 expressions

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

COMMANDDEFPATH:=/etc/nagios-plugins/config/
NP_DIR:=debian/nagios-snmp-plugins
NP_TEMPLATES:=$(NP_DIR)/usr/share/nagios-snmp-plugins/pluginconfig
NP_LIBEXEC:=/usr/lib/nagios/plugins

plugin_cfgs:=snmp_cpfw snmp_env snmp_int snmp_load snmp_mem snmp_process \
	snmp_storage snmp_vrrp snmp_win

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:

clean:
	dh_testdir
	dh_testroot

	dh_clean
	-rm -f debian/postrm

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/nagios-snmp-plugins.
	for PLUGINS in *.pl; \
	do \
		install -D -m 0755 $$PLUGINS $(NP_DIR)$(NP_LIBEXEC)/$$PLUGINS || exit 1; \
		sed -i "s#/usr/local/nagios/libexec#$(NP_LIBEXEC)#" $(NP_DIR)$(NP_LIBEXEC)/$$PLUGINS || exit 1; \
	done
	# copying templates them into seperate "template" directories outside of
	# /usr/share/doc for ucf to use.
	install -d $(NP_DIR)/usr/share/nagios-snmp-plugins/pluginconfig
	for c in ${plugin_cfgs}; do \
		cp debian/pluginconfig/$${c}.cfg ${NP_TEMPLATES}; \
	done
	# here the list of config templates are writen to postrm
	sed -e 's/@PLUGINS@/${plugin_cfgs}/' \
		< debian/postrm.in \
		> debian/postrm
	# copy html documentation over
	install -d $(NP_DIR)/usr/share/doc/nagios-snmp-plugins/html/
	cp doc/* $(NP_DIR)/usr/share/doc/nagios-snmp-plugins/html/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do for now.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.manubulon.com/nagios/nagios-snmp-plugins\.(.*)\.tgz debian uupdate

## nagios-snmp-plugins 2.0.0

=== debian/changelog ===
nagios-snmp-plugins (2.0.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [caf8f93] d/control: Update Vcs-* URLs to use HTTPS, use cgit instead of
    gitweb for Vcs-Browser URL.

  [ Jan Wagner ]
  * [1eca1c0] travis-ci: Make use of travis.d.n
  * [9c06100] New upstream version 2.0.0
  * [c431132] d/watch: Update for new upstream URL
  * [74388b3] Disable patches integrated in new upstream
  * [6f3bacd] Refresh remaining patches
  * [692a27a] d/rules: Adjusting src paths
  * [3590951] d/rules: Stop shipping outdated upstream changelog
  * [ceff8a0] d/docs: Adjusting src path
  * [80b3d1e] d/README.Debian: Spellfix
  * [d014d9b] d/rules: Fix installation location

 -- Jan Wagner <waja@cyconet.org>  Thu, 08 Dec 2016 09:49:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 5)
 Homepage: http://www.manubulon.com/nagios/index_snmp.html
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-nagios-snmp-plugins.git
-Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-snmp-plugins
-Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-snmp-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-nagios-snmp-plugins
+Standards-Version: 3.9.8
 
 Package: nagios-snmp-plugins
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,10 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/nagios-snmp-plugins.
-	for PLUGINS in *.pl; \
+	for PLUGINS in plugins/*.pl; \
 	do \
-		install -D -m 0755 $$PLUGINS $(NP_DIR)$(NP_LIBEXEC)/$$PLUGINS || exit 1; \
-		sed -i "s#/usr/local/nagios/libexec#$(NP_LIBEXEC)#" $(NP_DIR)$(NP_LIBEXEC)/$$PLUGINS || exit 1; \
+		install -D -m 0755 $$PLUGINS $(NP_DIR)$(NP_LIBEXEC)/`basename $$PLUGINS` || exit 1; \
+		sed -i "s#/usr/local/icinga/libexec#$(NP_LIBEXEC)#" $(NP_DIR)$(NP_LIBEXEC)/`basename $$PLUGINS` || exit 1; \
 	done
 	# copying templates them into seperate "template" directories outside of
 	# /usr/share/doc for ucf to use.
@@ -47,13 +47,13 @@
 		> debian/postrm
 	# copy html documentation over
 	install -d $(NP_DIR)/usr/share/doc/nagios-snmp-plugins/html/
-	cp doc/* $(NP_DIR)/usr/share/doc/nagios-snmp-plugins/html/
+	cp plugins/doc/* $(NP_DIR)/usr/share/doc/nagios-snmp-plugins/html/
 
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs Changelog
+	dh_installchangelogs
 	dh_installdocs
 	dh_link
 	dh_compress

## nagios-snmp-plugins 2.1.0

=== debian/changelog ===
nagios-snmp-plugins (2.1.0-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [133cc65] Bump Standards-Version to 4.7.0, no changes.
  * [0556666] Bump Standards-Version to 4.7.2, no changes.
  * [8b74a54] Fix old FSF address in copyright file.

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Apr 2025 18:52:04 +0000

nagios-snmp-plugins (2.1.0-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [13ac6fb] Explicitly enable test-build-twice job.

  [ Jan Wagner ]
  * [67af323] Adding d/p/23_check_snmp_int_interface_speed from upsgtream
  * [d0702fa] Adding d/p/24_tcp_udp_ipv4_ipv6 from upsgtream
  * [5638743] Adding d/p/25_check_snmp_int_add_metrik from upsgtream

 -- Jan Wagner <waja@cyconet.org>  Tue, 23 Jul 2024 05:44:14 +0000

nagios-snmp-plugins (2.1.0-3) unstable; urgency=medium

  [ Jan Wagner ]
  * NOT RELEASED YET
  * [4ffef41] Adding Github CI
  * [071a540] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [56b1ad4] d/source/options: Adding .github to diff ignore
  * [731359e] d/source/options: Fixing github ignore

  [ Bas Couwenberg ]
  * [9f8c997] Bump Standards-Version to 4.6.0, no changes.
  * [547ca5d] Update watch file to use tags instead of releases.
  * [0fef6a8] Bump Standards-Version to 4.6.1, no changes.


  [ Bas Couwenberg ]
  * [36ad122] Add Rules-Requires-Root to control file.

  [ Jan Wagner ]
  * [465be3f] d/control: Drop 'pkg-' from Vcs-Headers

  [ Debian Janitor ]
  * [8bb1998] Remove constraints unnecessary since buster (oldstable)
  * [16004b9] Remove constraints unnecessary since buster (oldstable)

  [ Jan Wagner ]
  * [ea50f54] Bump debhelper from old 12 to 13.
  * [4f38dec] Update standards version to 4.6.2, no changes needed.
  * [a193b79] Adding d/p/19_check_snmp_int_remove_unneeded_my from upstream
  * [fdc0108] Adding d/p/20_check_snmp_int_avaid_huge_amount_of_regex from
    upstream
  * [d4bd9c9] Adding d/p/21_check_snmp_load_update_fortiswitch_and_fortigate4.3
    from upstream
  * [e2bdf2d] Adding d/p/22_check_snmp_storage_fix_space_btrfs from upstream
    (Closes: #959956)

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Jan 2023 13:45:41 +0000

nagios-snmp-plugins (2.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from deprecated 5 to 12. (Closes: #965745)
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Jan Wagner ]
  * [a75e780] Removing .travis.yml and adding .gitlab-ci.yml

  [ Bas Couwenberg ]
  * [e989ff9] Bump watch file version to 4.
  * [b345ea5] Bump Standards-Version to 4.5.1, no changes.

  [ Jan Wagner ]
  * [a815051] check_snmp_int.pl: added ign-admindown, ign-emptyalias options.
    fixed uninitialized variable warning by adding d/p/14_check_snmp_int_ign
    from upstream
  * [c1ffe3e] check_snmp_int.pl: Add spaces only if necessary by adding
    d/p/15_check_snmp_int_spaces from upstream
  * [ef233ba] check_snmp_win.pl: Add -o option (max message size) by adding
    d/p/16_check_snmp_win_max_message_size from upstream
  * [085ba7e] check_snmp_storage.pl: add support for allowing considering OK if
    no storage found matching given criteria by adding
    d/p/17_check_snmp_storage_okifempty from upstream
  * [84561d3] check_snmp_int.pl: fix perf_out not defined error by adding
    d/p/18_check_snmp_int_fix_perf_out
  * [45b2b11] d/control: Updating upstream to
    https://github.com/SteScho/manubulon-snmp
  * [f9bf220] d/watch: Updating upstream to
    https://github.com/SteScho/manubulon-snmp
  * [8f6cd11] Refreshing patches
  * [c1f1d25] d/copyright: Removing tabs

 -- Jan Wagner <waja@cyconet.org>  Mon, 07 Dec 2020 15:50:39 +0100

nagios-snmp-plugins (2.1.0-1) unstable; urgency=medium

  [ Jan Wagner ]
  * [75687e0] New upstream version 2.1.0
  * [181c319] Refresh patches
  * [568042e] d/rules: Adjust new documentation source path
  * [ea34bcb] d/patches/51_fix_privacy_doc: Remove more potential privacy
    breach
  * [117e400] d/control: Bump Standards-Version to 4.1.1, no changes needed
  * [f2e8ac9] d/docs: Fix location of the README
  * [c0535e4] Adding .travis-ci.yml
  * [019d443] d/control: Update VCS-headers

  [ Bas Couwenberg ]
  * [c07faf2] Bump Standards-Version to 4.1.5, no changes.
  * [53cdb54] Bump Standards-Version to 4.2.0, no changes.
  * [70b7138] Bump Standards-Version to 4.2.1, no changes.
  * [3d095b1] Bump Standards-Version to 4.3.0, no changes.

  [ Jan Wagner ]
  * [cb66729] Delete old unused patches
  * [bcc13b4] Adding d/p/10_check_snmp_storage_error_handling
  * [af07b7c] Adding d/p/11_check_snmp_int_agent_workaround
  * [890a780] Adding d/p/12_check_snmp_mem_perf
  * [f45e77a] Adding d/p/13_check_snmp_process_new_features
  * [cb17d7e] d/control: Updating Homepage-field to
    https://github.com/dnsmichi/manubulon-snmp

 -- Jan Wagner <waja@cyconet.org>  Wed, 23 Jan 2019 20:44:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Jan Wagner <waja@cyconet.org>
-Build-Depends: debhelper (>= 5)
-Homepage: http://www.manubulon.com/nagios/index_snmp.html
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-snmp-plugins.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-nagios-snmp-plugins
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/nagios-team/nagios-snmp-plugins
+Vcs-Git: https://salsa.debian.org/nagios-team/nagios-snmp-plugins.git
+Homepage: https://github.com/SteScho/manubulon-snmp
+Rules-Requires-Root: no
 
 Package: nagios-snmp-plugins
 Architecture: all
 Depends: libnet-snmp-perl,
          monitoring-plugins-common | nagios-plugins-basic (>= 1.4.5-2),
-         perl-base (>= 5.8.4-8),
          ucf,
          ${misc:Depends},
          ${perl:Depends}

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nagios-snmp-plugins-$1\.tar\.gz/,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1-$2/ \
  https://github.com/SteScho/manubulon-snmp/tags .*/v?(\d\S*)\.tar\.gz
